Net::LDAP::Control::Relax(3)

NAME
Net::LDAP::Control::Relax - LDAPv3 Relax control object

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Control::Relax;

 $ldap = Net::LDAP->new( "ldap.mydomain.eg" );

 $relax = Net::LDAP::Control::Relax->new();

 $msg = $ldap->modify( 'dc=sub,dc=mydomain,dc=eg",
                       changes => [
                         replace => { modifyTimestamp => '19700101000000Z' } ],
                       control  => [ $relax ] );

 die "error: ",$msg->code(),": ",$msg->error()  if ($msg->code());

DESCRIPTION
"Net::LDAP::Control::Relax" provides an interface for the creation and manipulation of objects that represent the "Relax" control as described by draft-zeilenga-ldap-relax-03.txt

The control, which has no corresponding response control, is appropriate for all LDAP update requests, including add, delete, modify, and moddn.

The presence of the Relax control in an LDAP update request indicates the server temporarily relax X.500 model constraints during performance of the directory update.

It does not have a value and its criticality is always set to "TRUE".

CONSTRUCTOR ARGUMENTS
Since the "Relax" control does not have any values, only the constructor arguments described in Net::LDAP::Control are supported.

METHODS
As there are no additional values in the control, only the methods in Net::LDAP::Control are available for "Net::LDAP::Control::Relax" objects.

SEE ALSO
Net::LDAP, Net::LDAP::Control,

AUTHOR
Peter Marschall <peter@adpm.de>.

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2013 Peter Marschall. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.